DKBSignDocs

API reference

POSTRequires Bearer token

Upload a signature or stamp image

/api/v4/users/signature-image

Submit /api/v4/users/signature-image. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

Send as multipart/form-data.

FieldTypeDescription
image
Required
stringPNG/JPG, max 2 MB.
e.g. "example"
type
Required
stringsignature or stamp.
e.g. "signature"

Responses

StatusMeaning
200Image stored
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/v4/users/signature-image' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Accept: application/json' \
  -F 'image=example' \
  -F 'type=signature'

Response 200

json
{
  "type": "signature",
  "url": "https://files.example/sig.png"
}